Index: code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme	(revision 11125)
+++ code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme	(revision 11211)
@@ -1,55 +1,49 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="WindowsLook">
-    <Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
-    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="WindowsLook.looknfeel" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="WindowsLook/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="WindowsLook/StaticImage" />
-    <FalagardMapping WindowType="WindowsLook/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="WindowsLook/StaticText" />
-    <FalagardMapping WindowType="WindowsLook/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabButtonPane" />
-    <FalagardMapping WindowType="WindowsLook/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabContentPane" />
-    <FalagardMapping WindowType="WindowsLook/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/Checkbox" />
-    <FalagardMapping WindowType="WindowsLook/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/Combobox" />
-    <FalagardMapping WindowType="WindowsLook/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/ComboDropList" />
-    <FalagardMapping WindowType="WindowsLook/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="WindowsLook/Editbox" />
-    <FalagardMapping WindowType="WindowsLook/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="WindowsLook/FrameWindow" />
-    <FalagardMapping WindowType="WindowsLook/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/GroupBox" />
-    <FalagardMapping WindowType="WindowsLook/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="WindowsLook/ItemListbox" />
-    <FalagardMapping WindowType="WindowsLook/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="WindowsLook/ListboxItem" />
-    <FalagardMapping WindowType="WindowsLook/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/Listbox" />
-    <FalagardMapping WindowType="WindowsLook/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="WindowsLook/ListHeader" />
-    <FalagardMapping WindowType="WindowsLook/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="WindowsLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="WindowsLook/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="WindowsLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="WindowsLook/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="WindowsLook/Menubar" />
-    <FalagardMapping WindowType="WindowsLook/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="WindowsLook/MenuItem" />
-    <FalagardMapping WindowType="WindowsLook/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="WindowsLook/MultiColumnList" />
-    <FalagardMapping WindowType="WindowsLook/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="WindowsLook/PopupMenu" />
-    <FalagardMapping WindowType="WindowsLook/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="WindowsLook/ProgressBar" />
-    <FalagardMapping WindowType="WindowsLook/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/Button" />
-    <FalagardMapping WindowType="WindowsLook/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/RadioButton" />
-    <FalagardMapping WindowType="WindowsLook/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="WindowsLook/Button" />
-    <FalagardMapping WindowType="WindowsLook/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="WindowsLook/ScrollablePane" />
-    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="WindowsLook/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="WindowsLook/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="WindowsLook/Slider" />
-    <FalagardMapping WindowType="WindowsLook/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/Spinner" />
-    <FalagardMapping WindowType="WindowsLook/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="WindowsLook/TabButton" />
-    <FalagardMapping WindowType="WindowsLook/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="WindowsLook/TabControl" />
-    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="WindowsLook/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/SliderThumb" />
-    <FalagardMapping WindowType="WindowsLook/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="WindowsLook/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="WindowsLook/Titlebar" />
-    <FalagardMapping WindowType="WindowsLook/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="WindowsLook/Tooltip" />
-    
-    <!-- Missing widgets (using Taharez LookNFeel) -->
-    <FalagardMapping WindowType="WindowsLook/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="WindowsLook/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="WindowsLook/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="WindowsLook/IconButton"                  TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/IconButton" />
-    <FalagardMapping WindowType="WindowsLook/Static"                      TargetType="DefaultWindow"           Renderer="Falagard/Static"            LookNFeel="WindowsLook/Static" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="WindowsLook" version="5">
+    <Imageset filename="WindowsLook.imageset" name="WindowsLook" />
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="WindowsLook.looknfeel" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="WindowsLook/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="WindowsLook/StaticImage" />
+    <FalagardMapping lookNFeel="WindowsLook/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="WindowsLook/StaticText" />
+    <FalagardMapping lookNFeel="WindowsLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="WindowsLook/TabButtonPane" />
+    <FalagardMapping lookNFeel="WindowsLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="WindowsLook/TabContentPane" />
+    <FalagardMapping lookNFeel="WindowsLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="WindowsLook/Checkbox" />
+    <FalagardMapping lookNFeel="WindowsLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="WindowsLook/Combobox" />
+    <FalagardMapping lookNFeel="WindowsLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="WindowsLook/ComboDropList" />
+    <FalagardMapping lookNFeel="WindowsLook/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="WindowsLook/Editbox" />
+    <FalagardMapping lookNFeel="WindowsLook/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="WindowsLook/FrameWindow" />
+    <FalagardMapping lookNFeel="WindowsLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="WindowsLook/GroupBox" />
+    <FalagardMapping lookNFeel="WindowsLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="WindowsLook/ItemListbox" />
+    <FalagardMapping lookNFeel="WindowsLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="WindowsLook/ListboxItem" />
+    <FalagardMapping lookNFeel="WindowsLook/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="WindowsLook/Listbox" />
+    <FalagardMapping lookNFeel="WindowsLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="WindowsLook/ListHeader" />
+    <FalagardMapping lookNFeel="WindowsLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="WindowsLook/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="WindowsLook/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="WindowsLook/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="WindowsLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="WindowsLook/Menubar" />
+    <FalagardMapping lookNFeel="WindowsLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="WindowsLook/MenuItem" />
+    <FalagardMapping lookNFeel="WindowsLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="WindowsLook/MultiColumnList" />
+    <FalagardMapping lookNFeel="WindowsLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="WindowsLook/PopupMenu" />
+    <FalagardMapping lookNFeel="WindowsLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="WindowsLook/ProgressBar" />
+    <FalagardMapping lookNFeel="WindowsLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/Button" />
+    <FalagardMapping lookNFeel="WindowsLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="WindowsLook/RadioButton" />
+    <FalagardMapping lookNFeel="WindowsLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/SystemButton" />
+    <FalagardMapping lookNFeel="WindowsLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="WindowsLook/ScrollablePane" />
+    <FalagardMapping lookNFeel="WindowsLook/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="WindowsLook/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="WindowsLook/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="WindowsLook/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="WindowsLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="WindowsLook/Slider" />
+    <FalagardMapping lookNFeel="WindowsLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="WindowsLook/Spinner" />
+    <FalagardMapping lookNFeel="WindowsLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="WindowsLook/TabButton" />
+    <FalagardMapping lookNFeel="WindowsLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="WindowsLook/TabControl" />
+    <FalagardMapping lookNFeel="WindowsLook/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/SliderThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="WindowsLook/Titlebar" />
+    <FalagardMapping lookNFeel="WindowsLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="WindowsLook/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="WindowsLook/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="WindowsLook/Tree" />
+    <FalagardMapping lookNFeel="WindowsLook/IconButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/IconButton" />
+    <FalagardMapping lookNFeel="WindowsLook/Static" renderer="Core/Static" targetType="DefaultWindow" windowType="WindowsLook/Static" />
 </GUIScheme>
